<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE classpaths SYSTEM "../modules/jvm/xml/classpath.dtd">
<!-- =================== -->
<!--
 default CLASSPATH for Scilab

 @author Allan CORNET
 @author Sylvestre LEDRU
 @date INRIA 2007/2008
 ===================
 Don't touch if you do not know what you are doing
-->
<!-- =================== -->
<!--
Scilab Java dependencies can be load in different ways.
It can be:
* startup - Load immediatly the dep when Scilab starts (default behaviour)
* background - After Scilab engine is loaded, load the dep in the background
* onUse - Load the deps only when needed (once)

Some deps can be also disabled only for a specific mode.
The option is "disableUnderMode" and can be:
* STD - Normal mode
* NW - No Window mode (ie command line but with graphics
* API - Scilab as an API
-->

<classpaths>

<!-- Mandatory on startup -->
<path value="@FLEXDOCK@"/>
<path value="@SKINLF@"/>
<path value="@LOOKS@"/>
<path value="@COMMONS_LOGGING@"/>
<path value="@JHALL@"/>
<path value="@LUCENE@"/>
<path value="@LUCENE_ANALYZER@"/>
<path value="@LUCENE_PARSER@"/>

<!-- Load when needed -->

<path value="@FREEHEP_UTIL@" load="onUse">
  <load on="emf_graphic_export"/>
</path>

<path value="@FREEHEP_IO@" load="onUse">
  <load on="emf_graphic_export"/>
</path>

<path value="@FREEHEP_GRAPHICSIO@" load="onUse">
  <load on="emf_graphic_export"/>
</path>

<path value="@FREEHEP_GRAPHICSIO_EMF@" load="onUse">
  <load on="emf_graphic_export"/>
</path>

<path value="@FREEHEP_GRAPHICS2D@" load="onUse">
  <load on="emf_graphic_export"/>
</path>

<path value="@JROSETTA_API@" load="onUse">
        <load on="Console" />
        <load on="SciNotes" />
</path>
<path value="@JROSETTA_ENGINE@" load="onUse">
        <load on="Console" />
        <load on="SciNotes" />
</path>

<path value="@JGRAPHX@" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<path value="@JAXB_RUNTIME@" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<path value="@JAXB_IMPL@" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<!-- java.lang.NoClassDefFoundError: javax/activation/DataSource -->
<path value="@ACTIVATION@" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<path value="@ISTACK_COMMONS_RUNTIME@" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<!-- java.lang.NoClassDefFoundError: jakarta/activation/MimetypesFileTypeMap -->
<!-- java.lang.RuntimeException: Provider for jakarta.activation.spi.MimeTypeRegistryProvider cannot be found -->
<path value="@JAKARTA_ACTIVATION@" load="onUse"> 
    <load on="documentationGeneration"/>
</path>

<!--<path value="@JAKARTA_ACTIVATION_API@" load="onUse"> 
    <load on="documentationGeneration"/>
</path>-->

<path value="@SCIRENDERER_CP@"/>

<path value="@JOGL2@"/>

<path value="@GLUEGEN2_RT@"/>

<!-- Temp. loaded at startup -->
<path value="$SCILAB/modules/types/jar/org.scilab.modules.types.jar"/>
<!-- END -->

<!-- Documentation (not mandatory) -->
<path value="@JEUCLID_CORE@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="graphics_mathml_textrendering"/>
    <load on="xcos_mathml_rendering"/>
</path>

<path value="@JLATEXMATH_FOP@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="pdf_ps_eps_graphic_export"/>
</path>
<path value="@FOP@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="pdf_ps_eps_graphic_export"/>
</path>
<path value="@BATIK@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="graphics_mathml_textrendering"/>
    <load on="svg_graphic_export"/>
    <load on="pdf_ps_eps_graphic_export"/>
    <load on="Xcos"/>
</path>
<path value="@XML_APIS_EXT@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="pdf_ps_eps_graphic_export"/>
    <load on="Xcos"/>
</path>

<!-- PDF doc generation -->
<path value="@COMMONS_IO@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="graphics_mathml_textrendering"/>
    <load on="pdf_ps_eps_graphic_export"/>
    <load on="Xcos"/>
</path>

<!-- PDF doc generation (dep of jeuclid) -->
<path value="@XMLGRAPHICS_COMMONS@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="graphics_mathml_textrendering"/>
    <load on="pdf_ps_eps_graphic_export"/>
    <load on="Xcos"/>
</path>
<path value="@AVALON_FRAMEWORK@" load="onUse">
    <load on="documentationGeneration"/>
    <load on="pdf_ps_eps_graphic_export"/>
</path>

<path value="@JLATEXMATH@" load="onUse">
      <load on="documentationGeneration"/>
    <load on="graphics_latex_textrendering"/>
    <load on="pdf_ps_eps_graphic_export"/>
    <load on="Xcos"/>
</path>

<!-- helptools module doc generation -->
<path value="$SCILAB/modules/helptools/jar/org.scilab.modules.helptools.jar" load="onUse">
    <load on="documentationGeneration"/>
    <load on="copyAsHTMLinScinotes"/>
</path>

<path value="@ECJ@" load="onUse">
    <load on="external_objects_java"/>
</path>

<!-- Mandatory on startup -->
<path value="$SCILAB/modules/jvm/jar/org.scilab.modules.jvm.jar"/>
<path value="$SCILAB/modules/commons/jar/org.scilab.modules.commons.jar"/>

<!-- Console GUI dep -->
<path value="$SCILAB/modules/history_manager/jar/org.scilab.modules.history_manager.jar" disableUnderMode="NW"/>
<path value="$SCILAB/modules/completion/jar/org.scilab.modules.completion.jar" load="onUse">
        <load on="Console"/>
        <load on="SciNotes"/>
</path>

<path value="$SCILAB/modules/console/jar/org.scilab.modules.console.jar"/>

<path value="$SCILAB/modules/localization/jar/org.scilab.modules.localization.jar"/>
<path value="$SCILAB/modules/action_binding/jar/org.scilab.modules.action_binding.jar"/>

<path value="$SCILAB/modules/gui/jar/org.scilab.modules.gui.jar"/>
<path value="$SCILAB/modules/gui/etc"/> <!-- Scilab Flexdock theme -->
<path value="$SCILAB/modules/gui/images/icons/"/> <!-- Scilab Flexdock icons -->

<path value="$SCILAB/modules/preferences/jar/org.scilab.modules.preferences.jar"/>

<path value="$SCILAB/modules/renderer/jar/org.scilab.modules.renderer.jar"/>

<path value="$SCILAB/modules/graphic_export/jar/org.scilab.modules.graphic_export.jar"/>

<path value="$SCILAB/modules/core/jar/org.scilab.modules.core.jar"/>

<!-- scinotes module -->
<path value="$SCILAB/modules/scinotes/jar/org.scilab.modules.scinotes.jar" load="onUse">
    <load on="SciNotes"/>
</path>

<!-- Xcos module -->
<path value="$SCILAB/modules/xcos/jar/org.scilab.modules.xcos.jar" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<path value="$SCILAB/modules/graph/jar/org.scilab.modules.graph.jar" load="onUse">
    <load on="Xcos"/>
    <load on="documentationGeneration"/>
</path>

<!-- TO DO Load only when we need -->
<path value="$SCILAB/modules/graphic_objects/jar/org.scilab.modules.graphic_objects.jar"/>

<!-- TO DO Load only when we need -->
<path value="$SCILAB/modules/ui_data/jar/org.scilab.modules.ui_data.jar"/>
<path value="$SCILAB/modules/javasci/jar/org.scilab.modules.javasci.jar"/>

<path value="$SCILAB/modules/history_browser/jar/org.scilab.modules.history_browser.jar" disableUnderMode="NW"/>

<path value="$SCILAB/modules/external_objects_java/jar/org.scilab.modules.external_objects_java.jar" />

</classpaths>
